locked
Can MSI package created by VS2008 for ASP.Net 2.0 app run successfully on Windows Server 2016? RRS feed

  • Question

  • I have an MSI installation package for an ASP.NET 2.0 application created using VS2008.  It worked successfully on our Windows 2003 and Windows 2008 Servers.  We are now experimenting with Windows Server 2016 and this package fails to install.  I believe the server is properly configured for .NET framework 2.0 but MSI log complains about it needing to be installed. I cannot tell from the log if there is a problem with the MSI package or if something is configured incorrectly on the server.

    Before I start digging into this further, can an MSI package built using VS2008 run successfully on Windows Server 2016 if the server is configured correctly or does the MSI package have to be created with a newer version of Visual Studio?

    Is there any chance of getting the ASP.Net 2.0 Web app running on a Windows 2016 server without modifications to it?  

    Wednesday, July 26, 2017 4:23 PM

All replies